# path_for_remount PATH MODE
#
# returns the mount point of PATH if the mode is different from MODE
# if non-empty return, remount path to MODE otherwise PATH is already in MODE
# e.g. path_for_remount /usr/share/NOS rw
path_for_remount() {
    local node_path="$1"
    local mopt="$2"
    local part_path="$(df "$node_path" | sed 's/\s\+/\t/g;$!d' | cut -sf6)"
    if ! grep -q -m1 "[[:space:]]${part_path}[[:space:]].*[[:space:]]${mopt}[[:space:],]" /proc/mounts; then
        printf "$part_path"
    fi
}
