init_codename_initrd() {
    CODENAME=$(cut -f 1 -d '#' /etc/updater/updater.conf | \
        grep -m 1 -o "CODENAME=[^ ]*" | \
        cut -f 2- -d '='
    )
}

init_codename_re() {
    local name=${CODENAME:?"CODENAME unset"}
    local sfid=${SUBFAMILYID:-"$(cut -f 1 /proc/navico_platform/sub_family_id || true)"}

    local cpu_major=$(cut -sf 2 /proc/navico_platform/cpuinfo || true)
    local cpu_minor=$(cut -sf 3 /proc/navico_platform/cpuinfo || true)
    local arch

    case "${cpu_major}:${cpu_minor}" in
        mx6:ul*)    arch=":mx6ul"   ;;
        mx6:*)      arch=":mx6"     ;;
        am57x:*)    arch=":am57x"   ;;
        am335x:*)   arch=":am335x"  ;;
        *)          arch=""         ;;
    esac

    local eol='\s*\(#.*\)*$'    # End of line regex
    local pfx='\([^ ,#]\+,\)*'  # Prefix regex
    local sfx='\(,[^ ,#]\+\)*'  # Suffix regex

    CODENAME_RE="^CODENAME=${name}${arch}${eol}"
    CODENAME_RE="${CODENAME_RE}\|^CODENAMELIST=${pfx}${name}${arch}${sfx}${eol}"
    CODENAME_RE="${CODENAME_RE}\|^CODENAMELIST=${pfx}${name}-${sfid}${arch}${sfx}${eol}"
}
