get_key_value() {
  local key=$1 file=$2 default=${3:-} value

  if value=$(grep -is -m1 "^${key}=" "$file"); then
    value=${value#*=}      # Remove leading 'key='
    value=${value%$'\015'} # Remove trailing CR (if any)
  else
    printf '%s: Key "%s" not defined in file "%s", using default "%s"\n' "$0" "$key" "$file" "$default" >&2
    value=$default
  fi

  printf "%s\n" "$value"
}
